<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection detail
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection value
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection look_time
     * @property Grid\Column|Collection is_share_to_parents
     * @property Grid\Column|Collection looker
     * @property Grid\Column|Collection student_id
     * @property Grid\Column|Collection desc
     * @property Grid\Column|Collection photos
     * @property Grid\Column|Collection videos
     * @property Grid\Column|Collection is_publish
     * @property Grid\Column|Collection choose_ability
     * @property Grid\Column|Collection effective_learn_characteristics
     * @property Grid\Column|Collection next_teach_activity_plan
     * @property Grid\Column|Collection look_bg
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection md5
     * @property Grid\Column|Collection path
     * @property Grid\Column|Collection url
     * @property Grid\Column|Collection class
     * @property Grid\Column|Collection size
     * @property Grid\Column|Collection file_type
     * @property Grid\Column|Collection download
     * @property Grid\Column|Collection klass
     * @property Grid\Column|Collection objid
     * @property Grid\Column|Collection key
     * @property Grid\Column|Collection expiration
     * @property Grid\Column|Collection group
     * @property Grid\Column|Collection comment
     * @property Grid\Column|Collection sort
     * @property Grid\Column|Collection pid
     * @property Grid\Column|Collection short_name
     * @property Grid\Column|Collection grade
     * @property Grid\Column|Collection city_code
     * @property Grid\Column|Collection zip_code
     * @property Grid\Column|Collection merger_name
     * @property Grid\Column|Collection lng
     * @property Grid\Column|Collection lat
     * @property Grid\Column|Collection pinyin
     * @property Grid\Column|Collection uuid
     * @property Grid\Column|Collection connection
     * @property Grid\Column|Collection queue
     * @property Grid\Column|Collection payload
     * @property Grid\Column|Collection exception
     * @property Grid\Column|Collection failed_at
     * @property Grid\Column|Collection migration
     * @property Grid\Column|Collection batch
     * @property Grid\Column|Collection log_type
     * @property Grid\Column|Collection situation
     * @property Grid\Column|Collection log_user_id
     * @property Grid\Column|Collection diet_json
     * @property Grid\Column|Collection drink_json
     * @property Grid\Column|Collection nurse_json
     * @property Grid\Column|Collection defecation_json
     * @property Grid\Column|Collection change_clothes_json
     * @property Grid\Column|Collection emotion_json
     * @property Grid\Column|Collection sleep_json
     * @property Grid\Column|Collection clean_json
     * @property Grid\Column|Collection health_json
     * @property Grid\Column|Collection medication_json
     * @property Grid\Column|Collection temperature_json
     * @property Grid\Column|Collection en_title
     * @property Grid\Column|Collection content
     * @property Grid\Column|Collection en_content
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection answer
     * @property Grid\Column|Collection look_num
     * @property Grid\Column|Collection account
     * @property Grid\Column|Collection code
     * @property Grid\Column|Collection state
     * @property Grid\Column|Collection parent_code
     * @property Grid\Column|Collection full_name
     * @property Grid\Column|Collection is_delete
     * @property Grid\Column|Collection event
     * @property Grid\Column|Collection prefix
     * @property Grid\Column|Collection mobile
     * @property Grid\Column|Collection verify_key
     * @property Grid\Column|Collection sms_code
     * @property Grid\Column|Collection sms_result
     * @property Grid\Column|Collection sex
     * @property Grid\Column|Collection month_old
     * @property Grid\Column|Collection join_garden_time
     * @property Grid\Column|Collection parent_name
     * @property Grid\Column|Collection class_id
     * @property Grid\Column|Collection name_en
     * @property Grid\Column|Collection blood_type
     * @property Grid\Column|Collection hypersensitive_source
     * @property Grid\Column|Collection past_medical_history
     * @property Grid\Column|Collection birthday
     * @property Grid\Column|Collection exclusive_consultant_name
     * @property Grid\Column|Collection exclusive_consultant_phone
     * @property Grid\Column|Collection home_address
     * @property Grid\Column|Collection hobby
     * @property Grid\Column|Collection family_lang
     * @property Grid\Column|Collection sleep_habits_and_others
     * @property Grid\Column|Collection first_communication_of_parents
     * @property Grid\Column|Collection on
     * @property Grid\Column|Collection chinese
     * @property Grid\Column|Collection fieldType
     * @property Grid\Column|Collection likes_count
     * @property Grid\Column|Collection comments_count
     * @property Grid\Column|Collection fans_count
     * @property Grid\Column|Collection follow_count
     * @property Grid\Column|Collection feeds_count
     * @property Grid\Column|Collection checkin_count
     * @property Grid\Column|Collection friends_count
     * @property Grid\Column|Collection file
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection wx_openid
     * @property Grid\Column|Collection fb_openid
     * @property Grid\Column|Collection bg
     * @property Grid\Column|Collection online
     * @property Grid\Column|Collection last_login_time
     * @property Grid\Column|Collection register_ip
     * @property Grid\Column|Collection last_login_ip
     * @property Grid\Column|Collection lang
     * @property Grid\Column|Collection jpush_reg_id
     *
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection detail(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection value(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection look_time(string $label = null)
     * @method Grid\Column|Collection is_share_to_parents(string $label = null)
     * @method Grid\Column|Collection looker(string $label = null)
     * @method Grid\Column|Collection student_id(string $label = null)
     * @method Grid\Column|Collection desc(string $label = null)
     * @method Grid\Column|Collection photos(string $label = null)
     * @method Grid\Column|Collection videos(string $label = null)
     * @method Grid\Column|Collection is_publish(string $label = null)
     * @method Grid\Column|Collection choose_ability(string $label = null)
     * @method Grid\Column|Collection effective_learn_characteristics(string $label = null)
     * @method Grid\Column|Collection next_teach_activity_plan(string $label = null)
     * @method Grid\Column|Collection look_bg(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection md5(string $label = null)
     * @method Grid\Column|Collection path(string $label = null)
     * @method Grid\Column|Collection url(string $label = null)
     * @method Grid\Column|Collection class(string $label = null)
     * @method Grid\Column|Collection size(string $label = null)
     * @method Grid\Column|Collection file_type(string $label = null)
     * @method Grid\Column|Collection download(string $label = null)
     * @method Grid\Column|Collection klass(string $label = null)
     * @method Grid\Column|Collection objid(string $label = null)
     * @method Grid\Column|Collection key(string $label = null)
     * @method Grid\Column|Collection expiration(string $label = null)
     * @method Grid\Column|Collection group(string $label = null)
     * @method Grid\Column|Collection comment(string $label = null)
     * @method Grid\Column|Collection sort(string $label = null)
     * @method Grid\Column|Collection pid(string $label = null)
     * @method Grid\Column|Collection short_name(string $label = null)
     * @method Grid\Column|Collection grade(string $label = null)
     * @method Grid\Column|Collection city_code(string $label = null)
     * @method Grid\Column|Collection zip_code(string $label = null)
     * @method Grid\Column|Collection merger_name(string $label = null)
     * @method Grid\Column|Collection lng(string $label = null)
     * @method Grid\Column|Collection lat(string $label = null)
     * @method Grid\Column|Collection pinyin(string $label = null)
     * @method Grid\Column|Collection uuid(string $label = null)
     * @method Grid\Column|Collection connection(string $label = null)
     * @method Grid\Column|Collection queue(string $label = null)
     * @method Grid\Column|Collection payload(string $label = null)
     * @method Grid\Column|Collection exception(string $label = null)
     * @method Grid\Column|Collection failed_at(string $label = null)
     * @method Grid\Column|Collection migration(string $label = null)
     * @method Grid\Column|Collection batch(string $label = null)
     * @method Grid\Column|Collection log_type(string $label = null)
     * @method Grid\Column|Collection situation(string $label = null)
     * @method Grid\Column|Collection log_user_id(string $label = null)
     * @method Grid\Column|Collection diet_json(string $label = null)
     * @method Grid\Column|Collection drink_json(string $label = null)
     * @method Grid\Column|Collection nurse_json(string $label = null)
     * @method Grid\Column|Collection defecation_json(string $label = null)
     * @method Grid\Column|Collection change_clothes_json(string $label = null)
     * @method Grid\Column|Collection emotion_json(string $label = null)
     * @method Grid\Column|Collection sleep_json(string $label = null)
     * @method Grid\Column|Collection clean_json(string $label = null)
     * @method Grid\Column|Collection health_json(string $label = null)
     * @method Grid\Column|Collection medication_json(string $label = null)
     * @method Grid\Column|Collection temperature_json(string $label = null)
     * @method Grid\Column|Collection en_title(string $label = null)
     * @method Grid\Column|Collection content(string $label = null)
     * @method Grid\Column|Collection en_content(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection answer(string $label = null)
     * @method Grid\Column|Collection look_num(string $label = null)
     * @method Grid\Column|Collection account(string $label = null)
     * @method Grid\Column|Collection code(string $label = null)
     * @method Grid\Column|Collection state(string $label = null)
     * @method Grid\Column|Collection parent_code(string $label = null)
     * @method Grid\Column|Collection full_name(string $label = null)
     * @method Grid\Column|Collection is_delete(string $label = null)
     * @method Grid\Column|Collection event(string $label = null)
     * @method Grid\Column|Collection prefix(string $label = null)
     * @method Grid\Column|Collection mobile(string $label = null)
     * @method Grid\Column|Collection verify_key(string $label = null)
     * @method Grid\Column|Collection sms_code(string $label = null)
     * @method Grid\Column|Collection sms_result(string $label = null)
     * @method Grid\Column|Collection sex(string $label = null)
     * @method Grid\Column|Collection month_old(string $label = null)
     * @method Grid\Column|Collection join_garden_time(string $label = null)
     * @method Grid\Column|Collection parent_name(string $label = null)
     * @method Grid\Column|Collection class_id(string $label = null)
     * @method Grid\Column|Collection name_en(string $label = null)
     * @method Grid\Column|Collection blood_type(string $label = null)
     * @method Grid\Column|Collection hypersensitive_source(string $label = null)
     * @method Grid\Column|Collection past_medical_history(string $label = null)
     * @method Grid\Column|Collection birthday(string $label = null)
     * @method Grid\Column|Collection exclusive_consultant_name(string $label = null)
     * @method Grid\Column|Collection exclusive_consultant_phone(string $label = null)
     * @method Grid\Column|Collection home_address(string $label = null)
     * @method Grid\Column|Collection hobby(string $label = null)
     * @method Grid\Column|Collection family_lang(string $label = null)
     * @method Grid\Column|Collection sleep_habits_and_others(string $label = null)
     * @method Grid\Column|Collection first_communication_of_parents(string $label = null)
     * @method Grid\Column|Collection on(string $label = null)
     * @method Grid\Column|Collection chinese(string $label = null)
     * @method Grid\Column|Collection fieldType(string $label = null)
     * @method Grid\Column|Collection likes_count(string $label = null)
     * @method Grid\Column|Collection comments_count(string $label = null)
     * @method Grid\Column|Collection fans_count(string $label = null)
     * @method Grid\Column|Collection follow_count(string $label = null)
     * @method Grid\Column|Collection feeds_count(string $label = null)
     * @method Grid\Column|Collection checkin_count(string $label = null)
     * @method Grid\Column|Collection friends_count(string $label = null)
     * @method Grid\Column|Collection file(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection wx_openid(string $label = null)
     * @method Grid\Column|Collection fb_openid(string $label = null)
     * @method Grid\Column|Collection bg(string $label = null)
     * @method Grid\Column|Collection online(string $label = null)
     * @method Grid\Column|Collection last_login_time(string $label = null)
     * @method Grid\Column|Collection register_ip(string $label = null)
     * @method Grid\Column|Collection last_login_ip(string $label = null)
     * @method Grid\Column|Collection lang(string $label = null)
     * @method Grid\Column|Collection jpush_reg_id(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection id
     * @property Show\Field|Collection name
     * @property Show\Field|Collection type
     * @property Show\Field|Collection version
     * @property Show\Field|Collection detail
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection value
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection look_time
     * @property Show\Field|Collection is_share_to_parents
     * @property Show\Field|Collection looker
     * @property Show\Field|Collection student_id
     * @property Show\Field|Collection desc
     * @property Show\Field|Collection photos
     * @property Show\Field|Collection videos
     * @property Show\Field|Collection is_publish
     * @property Show\Field|Collection choose_ability
     * @property Show\Field|Collection effective_learn_characteristics
     * @property Show\Field|Collection next_teach_activity_plan
     * @property Show\Field|Collection look_bg
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection md5
     * @property Show\Field|Collection path
     * @property Show\Field|Collection url
     * @property Show\Field|Collection class
     * @property Show\Field|Collection size
     * @property Show\Field|Collection file_type
     * @property Show\Field|Collection download
     * @property Show\Field|Collection klass
     * @property Show\Field|Collection objid
     * @property Show\Field|Collection key
     * @property Show\Field|Collection expiration
     * @property Show\Field|Collection group
     * @property Show\Field|Collection comment
     * @property Show\Field|Collection sort
     * @property Show\Field|Collection pid
     * @property Show\Field|Collection short_name
     * @property Show\Field|Collection grade
     * @property Show\Field|Collection city_code
     * @property Show\Field|Collection zip_code
     * @property Show\Field|Collection merger_name
     * @property Show\Field|Collection lng
     * @property Show\Field|Collection lat
     * @property Show\Field|Collection pinyin
     * @property Show\Field|Collection uuid
     * @property Show\Field|Collection connection
     * @property Show\Field|Collection queue
     * @property Show\Field|Collection payload
     * @property Show\Field|Collection exception
     * @property Show\Field|Collection failed_at
     * @property Show\Field|Collection migration
     * @property Show\Field|Collection batch
     * @property Show\Field|Collection log_type
     * @property Show\Field|Collection situation
     * @property Show\Field|Collection log_user_id
     * @property Show\Field|Collection diet_json
     * @property Show\Field|Collection drink_json
     * @property Show\Field|Collection nurse_json
     * @property Show\Field|Collection defecation_json
     * @property Show\Field|Collection change_clothes_json
     * @property Show\Field|Collection emotion_json
     * @property Show\Field|Collection sleep_json
     * @property Show\Field|Collection clean_json
     * @property Show\Field|Collection health_json
     * @property Show\Field|Collection medication_json
     * @property Show\Field|Collection temperature_json
     * @property Show\Field|Collection en_title
     * @property Show\Field|Collection content
     * @property Show\Field|Collection en_content
     * @property Show\Field|Collection email
     * @property Show\Field|Collection answer
     * @property Show\Field|Collection look_num
     * @property Show\Field|Collection account
     * @property Show\Field|Collection code
     * @property Show\Field|Collection state
     * @property Show\Field|Collection parent_code
     * @property Show\Field|Collection full_name
     * @property Show\Field|Collection is_delete
     * @property Show\Field|Collection event
     * @property Show\Field|Collection prefix
     * @property Show\Field|Collection mobile
     * @property Show\Field|Collection verify_key
     * @property Show\Field|Collection sms_code
     * @property Show\Field|Collection sms_result
     * @property Show\Field|Collection sex
     * @property Show\Field|Collection month_old
     * @property Show\Field|Collection join_garden_time
     * @property Show\Field|Collection parent_name
     * @property Show\Field|Collection class_id
     * @property Show\Field|Collection name_en
     * @property Show\Field|Collection blood_type
     * @property Show\Field|Collection hypersensitive_source
     * @property Show\Field|Collection past_medical_history
     * @property Show\Field|Collection birthday
     * @property Show\Field|Collection exclusive_consultant_name
     * @property Show\Field|Collection exclusive_consultant_phone
     * @property Show\Field|Collection home_address
     * @property Show\Field|Collection hobby
     * @property Show\Field|Collection family_lang
     * @property Show\Field|Collection sleep_habits_and_others
     * @property Show\Field|Collection first_communication_of_parents
     * @property Show\Field|Collection on
     * @property Show\Field|Collection chinese
     * @property Show\Field|Collection fieldType
     * @property Show\Field|Collection likes_count
     * @property Show\Field|Collection comments_count
     * @property Show\Field|Collection fans_count
     * @property Show\Field|Collection follow_count
     * @property Show\Field|Collection feeds_count
     * @property Show\Field|Collection checkin_count
     * @property Show\Field|Collection friends_count
     * @property Show\Field|Collection file
     * @property Show\Field|Collection status
     * @property Show\Field|Collection wx_openid
     * @property Show\Field|Collection fb_openid
     * @property Show\Field|Collection bg
     * @property Show\Field|Collection online
     * @property Show\Field|Collection last_login_time
     * @property Show\Field|Collection register_ip
     * @property Show\Field|Collection last_login_ip
     * @property Show\Field|Collection lang
     * @property Show\Field|Collection jpush_reg_id
     *
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection detail(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection value(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection look_time(string $label = null)
     * @method Show\Field|Collection is_share_to_parents(string $label = null)
     * @method Show\Field|Collection looker(string $label = null)
     * @method Show\Field|Collection student_id(string $label = null)
     * @method Show\Field|Collection desc(string $label = null)
     * @method Show\Field|Collection photos(string $label = null)
     * @method Show\Field|Collection videos(string $label = null)
     * @method Show\Field|Collection is_publish(string $label = null)
     * @method Show\Field|Collection choose_ability(string $label = null)
     * @method Show\Field|Collection effective_learn_characteristics(string $label = null)
     * @method Show\Field|Collection next_teach_activity_plan(string $label = null)
     * @method Show\Field|Collection look_bg(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection md5(string $label = null)
     * @method Show\Field|Collection path(string $label = null)
     * @method Show\Field|Collection url(string $label = null)
     * @method Show\Field|Collection class(string $label = null)
     * @method Show\Field|Collection size(string $label = null)
     * @method Show\Field|Collection file_type(string $label = null)
     * @method Show\Field|Collection download(string $label = null)
     * @method Show\Field|Collection klass(string $label = null)
     * @method Show\Field|Collection objid(string $label = null)
     * @method Show\Field|Collection key(string $label = null)
     * @method Show\Field|Collection expiration(string $label = null)
     * @method Show\Field|Collection group(string $label = null)
     * @method Show\Field|Collection comment(string $label = null)
     * @method Show\Field|Collection sort(string $label = null)
     * @method Show\Field|Collection pid(string $label = null)
     * @method Show\Field|Collection short_name(string $label = null)
     * @method Show\Field|Collection grade(string $label = null)
     * @method Show\Field|Collection city_code(string $label = null)
     * @method Show\Field|Collection zip_code(string $label = null)
     * @method Show\Field|Collection merger_name(string $label = null)
     * @method Show\Field|Collection lng(string $label = null)
     * @method Show\Field|Collection lat(string $label = null)
     * @method Show\Field|Collection pinyin(string $label = null)
     * @method Show\Field|Collection uuid(string $label = null)
     * @method Show\Field|Collection connection(string $label = null)
     * @method Show\Field|Collection queue(string $label = null)
     * @method Show\Field|Collection payload(string $label = null)
     * @method Show\Field|Collection exception(string $label = null)
     * @method Show\Field|Collection failed_at(string $label = null)
     * @method Show\Field|Collection migration(string $label = null)
     * @method Show\Field|Collection batch(string $label = null)
     * @method Show\Field|Collection log_type(string $label = null)
     * @method Show\Field|Collection situation(string $label = null)
     * @method Show\Field|Collection log_user_id(string $label = null)
     * @method Show\Field|Collection diet_json(string $label = null)
     * @method Show\Field|Collection drink_json(string $label = null)
     * @method Show\Field|Collection nurse_json(string $label = null)
     * @method Show\Field|Collection defecation_json(string $label = null)
     * @method Show\Field|Collection change_clothes_json(string $label = null)
     * @method Show\Field|Collection emotion_json(string $label = null)
     * @method Show\Field|Collection sleep_json(string $label = null)
     * @method Show\Field|Collection clean_json(string $label = null)
     * @method Show\Field|Collection health_json(string $label = null)
     * @method Show\Field|Collection medication_json(string $label = null)
     * @method Show\Field|Collection temperature_json(string $label = null)
     * @method Show\Field|Collection en_title(string $label = null)
     * @method Show\Field|Collection content(string $label = null)
     * @method Show\Field|Collection en_content(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection answer(string $label = null)
     * @method Show\Field|Collection look_num(string $label = null)
     * @method Show\Field|Collection account(string $label = null)
     * @method Show\Field|Collection code(string $label = null)
     * @method Show\Field|Collection state(string $label = null)
     * @method Show\Field|Collection parent_code(string $label = null)
     * @method Show\Field|Collection full_name(string $label = null)
     * @method Show\Field|Collection is_delete(string $label = null)
     * @method Show\Field|Collection event(string $label = null)
     * @method Show\Field|Collection prefix(string $label = null)
     * @method Show\Field|Collection mobile(string $label = null)
     * @method Show\Field|Collection verify_key(string $label = null)
     * @method Show\Field|Collection sms_code(string $label = null)
     * @method Show\Field|Collection sms_result(string $label = null)
     * @method Show\Field|Collection sex(string $label = null)
     * @method Show\Field|Collection month_old(string $label = null)
     * @method Show\Field|Collection join_garden_time(string $label = null)
     * @method Show\Field|Collection parent_name(string $label = null)
     * @method Show\Field|Collection class_id(string $label = null)
     * @method Show\Field|Collection name_en(string $label = null)
     * @method Show\Field|Collection blood_type(string $label = null)
     * @method Show\Field|Collection hypersensitive_source(string $label = null)
     * @method Show\Field|Collection past_medical_history(string $label = null)
     * @method Show\Field|Collection birthday(string $label = null)
     * @method Show\Field|Collection exclusive_consultant_name(string $label = null)
     * @method Show\Field|Collection exclusive_consultant_phone(string $label = null)
     * @method Show\Field|Collection home_address(string $label = null)
     * @method Show\Field|Collection hobby(string $label = null)
     * @method Show\Field|Collection family_lang(string $label = null)
     * @method Show\Field|Collection sleep_habits_and_others(string $label = null)
     * @method Show\Field|Collection first_communication_of_parents(string $label = null)
     * @method Show\Field|Collection on(string $label = null)
     * @method Show\Field|Collection chinese(string $label = null)
     * @method Show\Field|Collection fieldType(string $label = null)
     * @method Show\Field|Collection likes_count(string $label = null)
     * @method Show\Field|Collection comments_count(string $label = null)
     * @method Show\Field|Collection fans_count(string $label = null)
     * @method Show\Field|Collection follow_count(string $label = null)
     * @method Show\Field|Collection feeds_count(string $label = null)
     * @method Show\Field|Collection checkin_count(string $label = null)
     * @method Show\Field|Collection friends_count(string $label = null)
     * @method Show\Field|Collection file(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection wx_openid(string $label = null)
     * @method Show\Field|Collection fb_openid(string $label = null)
     * @method Show\Field|Collection bg(string $label = null)
     * @method Show\Field|Collection online(string $label = null)
     * @method Show\Field|Collection last_login_time(string $label = null)
     * @method Show\Field|Collection register_ip(string $label = null)
     * @method Show\Field|Collection last_login_ip(string $label = null)
     * @method Show\Field|Collection lang(string $label = null)
     * @method Show\Field|Collection jpush_reg_id(string $label = null)
     */
    class Show {}

    /**
     
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     
     */
    class Column {}

    /**
     
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     
     */
    class Field {}
}
